## org.apache.commons.collections
Class BeanMap.MyMapEntry

    java.lang.Object
      org.apache.commons.collections.keyvalue.AbstractKeyValue
          org.apache.commons.collections.keyvalue.AbstractMapEntry
              org.apache.commons.collections.BeanMap.MyMapEntry

All Implemented Interfaces:
  KeyValue, Map.Entry

Enclosing class:
  BeanMap

protected static class BeanMap.MyMapEntry
extends AbstractMapEntry

Map entry used by `BeanMap`.

Field Summary

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`key, value`

Constructor Summary
`protected` `BeanMap.MyMapEntry(BeanMap owner, Object key, Object value)` Constructs a new `MyMapEntry`.

Method Summary
`Object` `setValue(Object value)` Sets the value.

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
`equals, hashCode`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`getKey, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`getKey, getValue`

Constructor Detail

### BeanMap.MyMapEntry

    protected BeanMap.MyMapEntry(BeanMap owner,
                                 Object key,
                                 Object value)

  Constructs a new `MyMapEntry`.

Parameters:
  `owner` - the BeanMap this entry belongs to
  `key` - the key for this entry
  `value` - the value for this entry

Method Detail

### setValue

    public Object setValue(Object value)

  Sets the value.

  Specified by:
    `setValue` in interface `Map.Entry`
  Overrides:
    `setValue` in class `AbstractMapEntry`
  Parameters:
    `value` - the new value for the entry
  Returns:
    the old value for the entry

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.